## scribus 1.4.6+dfsg

=== devel-doc/Makefile ===
all:
	doxygen
	echo "*** See error.log for errors and warnings"
	echo "*** Applying templates"
	cat templates/header.html > index.html
	cat templates/index.html >> index.html
	cat templates/footer.html >> index.html

clean:
	rm *.ttf *.dot *.html *.png *.css error.log *.map *.md5

tgz:
	tar -cf Scribus-devel-docs.tar *
	gzip Scribus-devel-docs.tar

tbz:
	tar -cf Scribus-devel-docs.tar *
	bzip2 Scribus-devel-docs.tar

codecheck:
	flawfinder --html -c ../scribus > code-check.html

=== scribus/CMakeLists.txt ===
IF(WIN32)
  ADD_DEFINITIONS(-DQT_DLL)
ENDIF(WIN32)

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(dtd)
ADD_SUBDIRECTORY(manpages)
ADD_SUBDIRECTORY(colormgmt)
ADD_SUBDIRECTORY(profiles)
ADD_SUBDIRECTORY(styles)
ADD_SUBDIRECTORY(text)
ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(desaxe)
ADD_SUBDIRECTORY(unicodemap)
IF (WANT_DESIGNER)
  ADD_SUBDIRECTORY(designer)
ENDIF (WANT_DESIGNER)

SET(SCRIBUS_UI_SRC
  aboutplugins.ui
  aligndistribute.ui
  charselect.ui
  charselectenhanced.ui
  cmsprefsbase.ui
  docitemattrprefs.ui
  docsections.ui
  gtfiledialog.ui
  guidemanager.ui
  hysettingsBase.ui
  insertaframe.ui
  latexeditor.ui
  measurementsbase.ui
  multipleduplicate.ui
  multiprogressdialog.ui
  nftdialog.ui
  nftwidget.ui
  pageitemattributes.ui
  patterndialog.ui
  picsearch.ui
  picsearchoptions.ui
  picstatus.ui
  pluginmanagerprefsgui.ui
  polygonwidgetbase.ui
  printdialogbase.ui
  replacecolors.ui
  replaceonecolor.ui
  selectobjects.ui
  shortcutwidget.ui
  smcstylewidget.ui
  smlinestylewidget.ui
  smpstylewidget.ui
  smreplacedia.ui
  smstyleimport.ui
  stylemanager.ui
  tabdisplay.ui
  tabexternaltoolswidget.ui
  tabgeneral.ui
  tabkeyboardshortcutswidget.ui
  tabmiscellaneous.ui
  tabprinter.ui
  tabscrapbook.ui
  tocindexprefs.ui
  ui/copypagetomasterpage.ui
  ui/createrange.ui
  ui/downloaddictionaries.ui
  ui/helpbrowser.ui
  unicodesearch.ui
  useprintermarginsdialog.ui
)

SET(SCRIBUS_MOC_CLASSES
  about.h
  aboutplugins.h
  actionmanager.h
  adjustcmsdialog.h
  aligndistribute.h
  alignselect.h
  annot.h
  annota.h
  applytemplatedialog.h
  arrowchooser.h
  autoform.h
  autoformbuttongroup.h
  basepointwidget.h
  bookmarkpalette.h
  bookmwin.h
  buttonicon.h
  canvas.h
  canvasgesture_rulermove.h
  canvasmode.h
  canvasmode_edit.h
  canvasmode_eyedropper.h
  canvasmode_framelinks.h
  canvasmode_legacy.h
  canvasmode_measurements.h
  canvasmode_normal.h
  charselect.h
  charselectenhanced.h
  chartablemodel.h
  chartableview.h
  charzoom.h
  checkDocument.h
  cmsprefs.h
  cmykfw.h
  collect4output.h
  colorblind.h
  colorchart.h
  colorcombo.h
  colorlistbox.h
  colorm.h
  commonstrings.h
  contextmenu.h
  cpalette.h
  cupsoptions.h
  curvewidget.h
  customfdialog.h
  dasheditor.h
  dcolor.h
  deferredtask.h
  delpages.h
  docinfo.h
  docitemattrprefs.h
  docsections.h
  downloadmanager/scdlmgr.h
  downloadmanager/scdlthread.h
  editor.h
  effectsdialog.h
  extimageprops.h
  fileloader.h
  filesearch.h
  filewatcher.h
  fontcombo.h
  fontlistmodel.h
  fontlistview.h
  fontprefs.h
  fontreplacedialog.h
  gradienteditor.h
  gtdialogs.h
  gtfiledialog.h
  guidemanager.h
  guidesdelegate.h
  guidesmodel.h
  helpbrowser.h
  hruler.h
  hyask.h
  hyphenator.h
  hysettings.h
  imageinfodialog.h
  insertTable.h
  insertaframe.h
  inspage.h
  javadocs.h
  latexeditor.h
  latexhelpers.h
  layers.h
  loadsaveplugin.h
  loremipsum.h
  marginwidget.h
  margindialog.h
  masterpagepalette.h
  measurements.h
  menumanager.h
  mergedoc.h
  missing.h
  movepage.h
  multipleduplicate.h
  multiprogressdialog.h
  navigator.h
  newfile.h
  newtemp.h
  nftdialog.h
  nftwidget.h
  nodeeditpalette.h
  observable.h
  oneclick.h
  outlinepalette.h
  pageitem.h
  pageitem_imageframe.h
  pageitem_latexframe.h
  pageitem_line.h
  pageitem_pathtext.h
  pageitem_polygon.h
  pageitem_polyline.h
  pageitem_textframe.h
  pageitemattributes.h
  pageitempointer.h
  pagelayout.h
  pagepalette.h
  pageselector.h
  patterndialog.h
  pdflib.h
  pdflib_core.h
  pdfopts.h
  picsearch.h
  picsearchoptions.h
  picstatus.h
  pluginmanager.h
  pluginmanagerprefsgui.h
  polygonwidget.h
  polyprops.h
  prefs.h
  prefsdialogbase.h
  prefsmanager.h
  prefspanel.h
  preview.h
  printdialog.h
  propertiespalette.h
  pslib.h
  query.h
  reformdoc.h
  replacecolors.h
  replaceonecolor.h
  rulermover.h
  sampleitem.h
  scescapecatcher.h
  scfilewidget.h
  scgtplugin.h
  schelptreemodel.h
  scinputdialog.h
  scmenu.h
  scmessagebox.h
  scplugin.h
  scprintengine.h
  scraction.h
  scrapbookpalette.h
  scribus.h
  scribusapp.h
  scribuscore.h
  scribusdoc.h
  scribusview.h
  scribuswin.h
  scrpalettebase.h
  scrspinbox.h
  sctablewidget.h
  sctextbrowser.h
  sctoolbar.h
  sctreewidget.h
  search.h
  selection.h
  selectobjects.h
  selfield.h
  shadebutton.h
  shortcutwidget.h
  smalignselect.h
  smcheckbox.h
  smcolorcombo.h
  smcstylewidget.h
  smfontcomboh.h
  smlinestyle.h
  smlinestylewidget.h
  smpstylewidget.h
  smreplacedia.h
  smsccombobox.h
  smscrspinbox.h
  smshadebutton.h
  smspinbox.h
  smstyleimport.h
  smstyleselect.h
  smtabruler.h
  smtextstyles.h
  spalette.h
  storyeditor.h
  styleitem.h
  stylemanager.h
  styleselect.h
  styleview.h
  tabcheckdoc.h
  tabdisplay.h
  tabdocument.h
  tabexternaltoolswidget.h
  tabgeneral.h
  tabguides.h
  tabkeyboardshortcutswidget.h
  tabmanager.h
  tabmiscellaneous.h
  tabpdfoptions.h
  tabprinter.h
  tabruler.h
  tabscrapbook.h
  tabtools.h
  tabtypography.h
  tocgenerator.h
  tocindexprefs.h
  tt/simpletreemodel/treemodel.h
  ui/copypagetomasterpagedialog.h
  ui/createrange.h
  ui/downloaddictionaries.h
  ui/edittoolbar.h
  ui/filetoolbar.h  
  ui/modetoolbar.h
  ui/pdftoolbar.h
  undogui.h
  undomanager.h
  unicodesearch.h
  upgradechecker.h
  urllauncher.h
  useprintermarginsdialog.h
  vruler.h
)

SET(SCRIBUS_SOURCES
  about.cpp
  aboutplugins.cpp
  actionmanager.cpp
  adjustcmsdialog.cpp
  aligndistribute.cpp
  alignselect.cpp
  annot.cpp
  annota.cpp
  annotation.cpp
  applytemplatedialog.cpp
  arrowchooser.cpp
  autoform.cpp
  autoformbuttongroup.cpp
  basepointwidget.cpp
  bookmarkpalette.cpp
  bookmwin.cpp
  buttonicon.cpp
  canvas.cpp
  canvasgesture_linemove.cpp
  canvasgesture_pan.cpp
  canvasgesture_rectselect.cpp
  canvasgesture_resize.cpp
  canvasgesture_rulermove.cpp
  canvasmode.cpp
  canvasmode_copyproperties.cpp
  canvasmode_create.cpp
  canvasmode_drawbezier.cpp
  canvasmode_drawfreehand.cpp
  canvasmode_eyedropper.cpp
  canvasmode_framelinks.cpp
  canvasmode_edit.cpp
  canvasmode_editgradient.cpp
  canvasmode_legacy.cpp
  canvasmode_magnifier.cpp
  canvasmode_measurements.cpp
  canvasmode_nodeedit.cpp
  canvasmode_normal.cpp
  canvasmode_objimport.cpp
  canvasmode_panning.cpp
  canvasmode_rotate.cpp
  charselect.cpp
  charselectenhanced.cpp
  chartablemodel.cpp
  chartableview.cpp
  charzoom.cpp
  checkDocument.cpp
  cmserrorhandling.cpp
  cmsettings.cpp
  cmsprefs.cpp
  cmykfw.cpp
  collect4output.cpp
  colorblind.cpp
  colorchart.cpp
  colorcombo.cpp
  colorlistbox.cpp
  colorm.cpp
  colorsetmanager.cpp
  commonstrings.cpp
  contextmenu.cpp
  cpalette.cpp
  cupsoptions.cpp
  curvewidget.cpp
  customfdialog.cpp
  dasheditor.cpp
  dcolor.cpp
  deferredtask.cpp
  delpages.cpp
  docinfo.cpp
  docitemattrprefs.cpp
  docsections.cpp
  documentchecker.cpp
  documentinformation.cpp
  downloadmanager/scdlmgr.cpp
  downloadmanager/scdlthread.cpp
  editor.cpp
  effectsdialog.cpp
  exif.cpp
  extimageprops.cpp
  fileloader.cpp
  filesearch.cpp
  fileunzip.cpp
  filewatcher.cpp
  fontcombo.cpp
  fontlistmodel.cpp
  fontlistview.cpp
  fontprefs.cpp
  fontreplacedialog.cpp
  fparser.cpp
  fpoint.cpp
  fpointarray.cpp
  fpoptimizer.cpp
  gradienteditor.cpp
  gtaction.cpp
  gtdialogs.cpp
  gtfiledialog.cpp
  gtfont.cpp
  gtframestyle.cpp
  gtgettext.cpp
  gtmeasure.cpp
  gtparagraphstyle.cpp
  gtstyle.cpp
  gtwriter.cpp
  guidemanager.cpp
  guidemanagercore.cpp
  guidesdelegate.cpp
  guidesmodel.cpp
  helpbrowser.cpp
  hruler.cpp
  hyask.cpp
  hyphenator.cpp
  hysettings.cpp
  imageinfodialog.cpp
  insertTable.cpp
  insertaframe.cpp
  inspage.cpp
  ioapi.c
  javadocs.cpp
  KarbonCurveFit.cpp
  langmgr.cpp
  latexeditor.cpp
  latexhelpers.cpp
  layers.cpp
  linecombo.cpp
  linkbutton.cpp
  loadsaveplugin.cpp
  loremipsum.cpp
  marginwidget.cpp
  margindialog.cpp
  masterpagepalette.cpp
  measurements.cpp
  menumanager.cpp
  mergedoc.cpp
  missing.cpp
  movepage.cpp
  multipleduplicate.cpp
  multiprogressdialog.cpp
  navigator.cpp
  newfile.cpp
  newtemp.cpp
  nftdialog.cpp
  nftwidget.cpp
  nftrcreader.cpp
  nftsettings.cpp
  nfttemplate.cpp
  nodeeditpalette.cpp
  observable.cpp
  oneclick.cpp
  outlinepalette.cpp
  page.cpp
  pageitem.cpp
  pageitem_desaxe.cpp
  pageitem_imageframe.cpp
  pageitem_latexframe.cpp
  pageitem_line.cpp
  pageitem_pathtext.cpp
  pageitem_polygon.cpp
  pageitem_polyline.cpp
  pageitem_textframe.cpp
  pageitemattributes.cpp
  pageitempointer.cpp
  pagelayout.cpp
  pagepalette.cpp
  pageselector.cpp
  pagesize.cpp
  patterndialog.cpp
  pdflib.cpp
  pdflib_core.cpp
  pdfoptions.cpp
  pdfoptionsio.cpp
  pdfopts.cpp
  picsearch.cpp
  picsearchoptions.cpp
  picstatus.cpp
  pluginmanager.cpp
  pluginmanagerprefsgui.cpp
  polygonwidget.cpp
  polyprops.cpp
  prefs.cpp
  prefscontext.cpp
  prefsdialogbase.cpp
  prefsfile.cpp
  prefsmanager.cpp
  prefspanel.cpp
  prefsreader.cpp
  prefstable.cpp
  preview.cpp
  printdialog.cpp
  propertiespalette.cpp
  pslib.cpp
  query.cpp
  rawimage.cpp
  rc4.c
  reformdoc.cpp
  replacecolors.cpp
  replaceonecolor.cpp
  rulermover.cpp
  sampleitem.cpp
  scclocale.cpp
  sccolor.cpp
  sccolorengine.cpp
  sccolorshade.cpp
  sccombobox.cpp
  scdocoutput.cpp
  scdocoutput_ps2.cpp
  scescapecatcher.cpp
  scfilewidget.cpp
  scfonts.cpp
  scgtplugin.cpp
  scgzfile.cpp
  schelptreemodel.cpp
  scimage.cpp
  scimagestructs.cpp
  scimgdataloader.cpp
  scimgdataloader_gimp.cpp
  scimgdataloader_jpeg.cpp
  scimgdataloader_pdf.cpp
  scimgdataloader_ps.cpp
  scimgdataloader_psd.cpp
  scimgdataloader_qt.cpp
  scimgdataloader_tiff.cpp
  scinputdialog.cpp
  sclayer.cpp
  scmenu.cpp
  scmessagebox.cpp
  scmimedata.cpp
  scpageoutput.cpp
  scpageoutput_ps2.cpp
  scpainter.cpp
  scpainterex_ps2.cpp
  scpainterexbase.cpp
  scpaths.cpp
  scpattern.cpp
  scplugin.cpp
  scpreview.cpp
  scprintengine_ps.cpp
  scraction.cpp
  scrapbookpalette.cpp
  scresizecursor.cpp
  scribus.cpp
  scribusXml.cpp
  scribusapp.cpp
  scribuscore.cpp
  scribusdoc.cpp
  scribusview.cpp
  scribuswin.cpp
  scrpalettebase.cpp
  scrspinbox.cpp
  scslainforeader.cpp
  scstreamfilter.cpp
  scstreamfilter_ascii85.cpp
  scstreamfilter_flate.cpp
  scstreamfilter_rc4.cpp
  sctablewidget.cpp
  sctextbrowser.cpp
  sctextstream.cpp
  sctextstruct.cpp
  sctoolbar.cpp
  sctreewidget.cpp
  search.cpp
  selection.cpp
  selectobjects.cpp
  selfield.cpp
  serializer.cpp
  shadebutton.cpp
  shortcutwidget.cpp
  smalignselect.cpp
  smcheckbox.cpp
  smcolorcombo.cpp
  smcstylewidget.cpp
  smfontcomboh.cpp
  smlinestyle.cpp
  smlinestylewidget.cpp
  smpstylewidget.cpp
  smradiobutton.cpp
  smreplacedia.cpp
  smsccombobox.cpp
  smscrspinbox.cpp
  smshadebutton.cpp
  smspinbox.cpp
  smstyleimport.cpp
  smstyleselect.cpp
  smtabruler.cpp
  smtextstyles.cpp
  spalette.cpp
  splash.cpp
  stencilreader.cpp
  storyeditor.cpp
  styleitem.cpp
  stylemanager.cpp
  styleselect.cpp
  styleview.cpp
  tabcheckdoc.cpp
  tabdisplay.cpp
  tabdocument.cpp
  tabexternaltoolswidget.cpp
  tabgeneral.cpp
  tabguides.cpp
  tabkeyboardshortcutswidget.cpp
  tabmanager.cpp
  tabmiscellaneous.cpp
  tabpdfoptions.cpp
  tabprinter.cpp
  tabruler.cpp
  tabscrapbook.cpp
  tabtools.cpp
  tabtypography.cpp
  tocgenerator.cpp
  tocindexprefs.cpp
  transaction.cpp
  tt/simpletreemodel/treeitem.cpp
  tt/simpletreemodel/treemodel.cpp
  ui/copypagetomasterpagedialog.cpp
  ui/createrange.cpp
  ui/downloaddictionaries.cpp
  ui/edittoolbar.cpp
  ui/filetoolbar.cpp
  ui/modetoolbar.cpp
  ui/pdftoolbar.cpp
  undogui.cpp
  undomanager.cpp
  undoobject.cpp
  undostack.cpp
  undostate.cpp
  unicodesearch.cpp
  units.cpp
  unzip.c
  updatemanager.cpp
  upgradechecker.cpp
  urllauncher.cpp
  useprintermarginsdialog.cpp
  util.cpp
  util_color.cpp
  util_file.cpp
  util_formats.cpp
  util_ghostscript.cpp
  util_icon.cpp
  util_math.cpp
  util_printer.cpp
  util_text.cpp
  vgradient.cpp
  vgradientex.cpp
  vruler.cpp
)

IF(NOT HAVE_HYPHEN)
  SET(SCRIBUS_SOURCES
    ${SCRIBUS_SOURCES}
    hnjalloc.c
    hyphen.c
  )

=== resources/icons/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

#Install our icons
FILE( GLOB SCRIBUS_ICONS_UNSORTED *.jpg *.png *.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_UNSORTED} DESTINATION ${ICONDIR})

#Install our 16x16 icons
FILE( GLOB SCRIBUS_ICONS_16 16/*.jpg 16/*.png 16/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_16} DESTINATION ${ICONDIR}16)

#Install our 22x22 icons
FILE( GLOB SCRIBUS_ICONS_22 22/*.jpg 22/*.png 22/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_22} DESTINATION ${ICONDIR}22)

#Install our 32x32 icons
FILE( GLOB SCRIBUS_ICONS_32 32/*.jpg 32/*.png 32/*.xpm )
INSTALL(FILES ${SCRIBUS_ICONS_32} DESTINATION ${ICONDIR}32)

=== resources/loremipsum/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our lorem ipsum sample files, selected from *.xml in this directory
FILE( GLOB SCRIBUS_LOREM_FILES *.xml )
INSTALL(FILES ${SCRIBUS_LOREM_FILES} DESTINATION ${SHAREDIR}loremipsum)

=== scribus/designer/CMakeLists.txt ===
# it's unfinished ADD_SUBDIRECTORY(smwidgets)

INCLUDE_DIRECTORIES(
${FREETYPE_INCLUDE_DIRS}
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES
scrspinboxplugin.h
../commonstrings.h
../scrspinbox.h
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES
scrspinboxplugin.cpp
../commonstrings.cpp
../fparser.cpp
../scrspinbox.cpp
../units.cpp
)

SET(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES
sctablewidgetplugin.h
../sctablewidget.h
)

SET(SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES
sctablewidgetplugin.cpp
../sctablewidget.cpp
)

SET(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES
sctextbrowserplugin.h
../sctextbrowser.h
../urllauncher.h
)

SET(SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES
sctextbrowserplugin.cpp
../sctextbrowser.cpp
../urllauncher.cpp
)

SET(SCRIBUS_SCRSPINBOX_PLUGIN "scribus_scrspinbox")
SET(SCRIBUS_SCTABLEWIDGET_PLUGIN "scribus_sctablewidget")
SET(SCRIBUS_SCTEXTBROWSER_PLUGIN "scribus_sctextbrowser")

QT4_WRAP_CPP(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_SCRSPINBOX_PLUGIN} SHARED ${SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES} ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCRSPINBOX_PLUGIN}
  ${QT_LIBRARIES}
)

ADD_LIBRARY(${SCRIBUS_SCTABLEWIDGET_PLUGIN} SHARED ${SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES} ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCTABLEWIDGET_PLUGIN}
  ${QT_LIBRARIES}
)

ADD_LIBRARY(${SCRIBUS_SCTEXTBROWSER_PLUGIN} SHARED ${SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES} ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SCTEXTBROWSER_PLUGIN}
  ${QT_LIBRARIES}
)

IF(APPLE)
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCRSPINBOX_PLUGIN} "-undefined dynamic_lookup")
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCTABLEWIDGET_PLUGIN} "-undefined dynamic_lookup")
  TARGET_LINK_LIBRARIES(${SCRIBUS_SCTEXTBROWSER_PLUGIN} "-undefined dynamic_lookup")
ENDIF(APPLE)

# install it manually
#INSTALL(TARGETS ${SCRIBUS_SCRSPINBOX_PLUGIN}
#  LIBRARY
#  DESTINATION ${QT_INSTALL_PLUGINS}
#  PERMISSIONS ${PLUGIN_PERMISSIONS}
#)

# SET_TARGET_PROPERTIES(${SCRIBUS_DESIGNR_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/dtd/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
scribuspdfoptions.dtd
  DESTINATION ${SHAREDIR}dtd
)

=== scribus/manpages/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
scribus.1
  DESTINATION ${MANDIR}man1
)

INSTALL(FILES
scribus.1.de
  DESTINATION ${MANDIR}de/man1
  RENAME scribus.1
)

INSTALL(FILES
scribus.1.pl
  DESTINATION ${MANDIR}pl/man1
  RENAME scribus.1
)

=== scribus/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(barcodegenerator)
ADD_SUBDIRECTORY(colorwheel)
ADD_SUBDIRECTORY(fileloader)
ADD_SUBDIRECTORY(fontpreview)
ADD_SUBDIRECTORY(gettext)
ADD_SUBDIRECTORY(import)
# ADD_SUBDIRECTORY(newfromtemplateplugin)
ADD_SUBDIRECTORY(pixmapexport)
ADD_SUBDIRECTORY(saveastemplateplugin)
IF(NOT WIN32)
  ADD_SUBDIRECTORY(scriptplugin)
ENDIF(NOT WIN32)
ADD_SUBDIRECTORY(short-words)
ADD_SUBDIRECTORY(svgexplugin)
# ADD_SUBDIRECTORY(imposition)
ADD_SUBDIRECTORY(tools)
#ADD_SUBDIRECTORY(picbrowser)

#ADD_SUBDIRECTORY(myplugin)

=== scribus/designer/smwidgets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)
SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_CLASSES
smalignselectplugin.h
../../smalignselect.h
../../alignselect.h
../../util_icon.h
../../scpaths.h
../../prefsmanager.h
../../commonstrings.h
../../actionmanager.h
)

SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_SOURCES
smalignselectplugin.cpp
../../smalignselect.cpp
../../alignselect.cpp
../../util_icon.cpp
../../scpaths.cpp
../../prefsmanager.cpp
../../commonstrings.cpp
../../actionmanager.cpp
)

SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_CLASSES
smcolorcomboplugin.h
../../smcolorcombo.h
../../colorcombo.h
../../colorlistbox.h
../../commonstrings.h
)

SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_SOURCES
smcolorcomboplugin.cpp
../../smcolorcombo.cpp
../../colorcombo.cpp
../../colorlistbox.cpp
../../commonstrings.cpp
)

SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_CLASSES
smfontcombohplugin.h
../../smfontcomboh.h
../../fontcombo.h
)

SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_SOURCES
smfontcombohplugin.cpp
../../smfontcomboh.cpp
../../fontcombo.cpp
)

SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_CLASSES
smsccomboboxplugin.h
../../smsccombobox.h
)

SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_SOURCES
smsccomboboxplugin.cpp
../../smsccombobox.cpp
)

SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_CLASSES
smscrspinboxplugin.h
../../smscrspinbox.h
../../scrspinbox.h
)

SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_SOURCES
smscrspinboxplugin.cpp
../../smscrspinbox.cpp
../../scrspinbox.cpp
)

SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_CLASSES
smshadebuttonplugin.h
../../smshadebutton.h
../../shadebutton.h
)

SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_SOURCES
smshadebuttonplugin.cpp
../../smshadebutton.cpp
../../shadebutton.cpp
)

SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_CLASSES
smspinboxplugin.h
../../smspinbox.h
)

SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_SOURCES
smspinboxplugin.cpp
../../smspinbox.cpp
)

SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_CLASSES
smstyleselectplugin.h
../../smstyleselect.h
../../styleselect.h
../../scrspinbox.h
)

SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_SOURCES
smstyleselectplugin.cpp
../../smstyleselect.cpp
../../styleselect.cpp
../../scrspinbox.cpp
)

SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_CLASSES
smtabrulerplugin.h
../../smtabruler.h
../../tabruler.h
../../commonstrings.h
)

SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_SOURCES
smtabrulerplugin.cpp
../../smtabruler.cpp
../../tabruler.cpp
../../commonstrings.cpp
)

SET(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN "scribus_smalignselectplugin")
SET(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN "scribus_smcolorcomboplugin")
SET(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN "scribus_smfontcombohplugin")
SET(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN "scribus_smsccomboboxplugin")
SET(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN "scribus_smscrspinboxplugin")
SET(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN "scribus_smshadebuttonplugin")
SET(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN "scribus_smspinboxplugin")
SET(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN "scribus_smstyleselectplugin")
SET(SCRIBUS_SMTABRULERPLUGIN_PLUGIN "scribus_smtabrulerplugin")
QT4_WRAP_CPP(SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_CLASSES})
QT4_WRAP_CPP(SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_SOURCES ${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_CLASSES})
ADD_LIBRARY(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN} ${QT_LIBRARIES} )

ADD_LIBRARY(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN}
	SHARED ${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_SOURCES}
	${SCRIBUS_SMTABRULERPLUGIN_PLUGIN_MOC_SOURCES})
TARGET_LINK_LIBRARIES(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN} ${QT_LIBRARIES} )

IF(APPLE)
  TARGET_LINK_LIBRARIES(${SCRIBUS_SMALIGNSELECTPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMCOLORCOMBOPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMFONTCOMBOHPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCCOMBOBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSCRSPINBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSHADEBUTTONPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSPINBOXPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMSTYLESELECTPLUGIN_PLUGIN} "-undefined dynamic_lookup")

  TARGET_LINK_LIBRARIES(${SCRIBUS_SMTABRULERPLUGIN_PLUGIN} "-undefined dynamic_lookup")
ENDIF(APPLE)

=== scribus/plugins/colorwheel/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(COLORWHEEL_PLUGIN_UI_SRC
cwdialog.ui
)

SET(COLORWHEEL_PLUGIN_MOC_CLASSES
colorwheel.h
colorwheelwidget.h
cwdialog.h
)

SET(COLORWHEEL_PLUGIN_SOURCES
colorwheel.cpp
colorwheelwidget.cpp
cwdialog.cpp
)

SET(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

QT4_WRAP_UI(COLORWHEEL_PLUGIN_UI_SOURCES ${COLORWHEEL_PLUGIN_UI_SRC} )
QT4_WRAP_CPP(COLORWHEEL_PLUGIN_MOC_SOURCES ${COLORWHEEL_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES} ${COLORWHEEL_PLUGIN_MOC_SOURCES} ${COLORWHEEL_PLUGIN_UI_CPP} ${COLORWHEEL_PLUGIN_UI_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_COLORWHEEL_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/fileloader/CMakeLists.txt ===
#Subdirectories
ADD_SUBDIRECTORY(scribus134format)
ADD_SUBDIRECTORY(scribus13format)
ADD_SUBDIRECTORY(scribus12format)

=== scribus/plugins/import/CMakeLists.txt ===
ADD_SUBDIRECTORY(ai)
ADD_SUBDIRECTORY(cvg)
ADD_SUBDIRECTORY(oodraw)
ADD_SUBDIRECTORY(pct)
ADD_SUBDIRECTORY(ps)
ADD_SUBDIRECTORY(svg)
ADD_SUBDIRECTORY(wmf)
ADD_SUBDIRECTORY(xfig)

=== debian/changelog ===
scribus (1.4.6+dfsg-4build1) artful; urgency=medium

  * No-change rebuild against libpodofo0.9.5.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 22 Jun 2017 19:04:42 +0200

scribus (1.4.6+dfsg-4) unstable; urgency=medium

  * [bb44541] d/control: add "Multi-Arch: foreign" marker.
  * [f157a10] Bump debhelper compat level to 10.
    Drop explicit --parallel option, now default.
  * [4014b3f] d/watch: only match releases from the 1.4.x branch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 08 Oct 2016 20:00:41 +0000

scribus (1.4.6+dfsg-3) unstable; urgency=medium

  * [e5bce04] d/control: Bump Standards-Version to 3.9.8, no changes needed.
  * [7dc4bc5] Copy high res icons from upstream trunk.
  * [ec53f3e] Stop installing that awful low res icon.
  * [9dc7943] Add appstream metadata.  This has been copied from the scribus-ng
    package.  Thanks to Matthias Klumpp for the help-
  * [cab0b3e] d/scribus.mime: delete, it's probably totally redundant.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 May 2016 08:55:50 +0000

scribus (1.4.6+dfsg-2) unstable; urgency=medium

  * debian/control:
    + [a5cb3d9] Bump Standards-Version to 3.9.7, no changes needed.
    + [cd83e0b] Use HTTPS in Vcs-Git.
    + [954d474] specify this is the stable branch also in -data and -dev.
  * [5481869] Stop installing our copy of scribus.xpm.  The Upstream-provided
    scribus.png is a good enough icon.
  * [d485971] Stop installing the TODO file, it contains nothing useful.
  * Changes done to have all 3 scribus packages (scribus and scribus-{ng,trunk})
    both in their debian version (with non-dfsg file stripped) and upstream
    build out of the same debian/ directory as much as possible:
    + [eca36ad] debian/copyright: Files-Excluded use 1.?.? in the directory name
    + [1954d97] copy the icon in the right directory here, then ask dh_install
      to install the whole pixmaps directory.
    + [4c30a70] debian/control: Build-Depend on dh-exec
    + debian/rules:
      - [55c9d59,1d92302] add some noop code.
      - [27bbe92] export $p to the environment
      - [c89f99b] just install the .desktop file with a sane name directly in
        /usr/share/applications, instead of having to move it around later.
    + [1b5bcc5] parametrize the package name with dh-exec in d/*.{install,links}
  * [6899854] lintian-overrides: override dh-exec-subst-unknown-variable.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Mar 2016 17:03:41 +0000

scribus (1.4.6+dfsg-1) unstable; urgency=medium

  * [82759c4] Imported Upstream version 1.4.6+dfsg.
    http://wiki.scribus.net/canvas/Scribus_1.4.6_Release
  * [42af1c2] debian/{control,copyright}: use my @debian.org email address-
  * [220819b] debian/patches: refresh them all.
  * [9468eab] Fix typos in packaging files.  Thanks codespell.
  * debian/control:
    + [4b5506d] Remove malex from maintainer and put myself in.
      Thank you for maintaining scribus for so long!
    + [01988ce] Remove useless version costraints.
    + [f81b9d5] Build-dep on dh-python, python-all, instead of python-all-dev.
    + [5d6f574] Drop old/useless ${python:Provides} substvar.
  * debian/rules:
    + [5a6a8db,8e5df2c] parametrize 'scribus' it in a variable.
    + [cec468d] debian/rules: use DH_VERBOSE=1.
    + [4ed094a] debian/rules: call dh_python2 over python scripts.
  * debian/copyright:
    + [59548e7] Remove scribus-1.4.?/resources/swatches/CIE-* from the tarball.
    + [304e0e6] Update copyright years to 2016.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Jan 2016 20:11:07 +0000

scribus (1.4.5+dfsg1-5) unstable; urgency=medium

  * [56e1b09] d/p/support-arbitrary-hyphenator-name: allow the dicts to be
    symlinked.  Closes: #804477

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 09 Nov 2015 19:12:51 +0000

scribus (1.4.5+dfsg1-4) unstable; urgency=medium

  * [8966ea3] debian/scribus.menu: delete, per recent CTTE decision
  * [3b57457] debian/rules: just exclude all .so from dh_fixperms.
    That way it'll run over the directory and thus making the build
    reproducible again.  Thanks to Santiago Vila for the suggestion.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 11 Oct 2015 08:03:03 +0000

scribus (1.4.5+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + [6adc33a] support-arbitrary-hyphenator-name: add to actually be able to
      use the system hyphenators.  Closes: #771471
    + [fa2d424] meld the patch for #762942 with the last one, they are related
      and this one is a "consequence" of the old one.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 27 Sep 2015 20:03:44 +0000

=== debian/control ===
Source: scribus
Section: graphics
Priority: extra
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 dh-exec,
 dh-python,
 gettext,
 libboost-python-dev,
 libcairo2-dev,
 libcups2-dev,
 libhunspell-dev,
 libhyphen-dev,
 liblcms2-dev,
 libpodofo-dev,
 libqt4-dev,
 libtiff-dev,
 libxml2-dev,
 python-all,
 zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/scribus.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/scribus.git
Homepage: http://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 python-tk,
 scribus-data (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-doc,
 scribus-template,
 texlive-latex-recommended,
Description: Open Source Desktop Page Layout - stable branch
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python,
 python-tk,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 scribus (= ${source:Version}),
Breaks:
 scribus (<< 1.4.5+dfsg-1),
Replaces:
 scribus (<< 1.4.5+dfsg-1),
Description: Open Source Desktop Page Layout - stable branch (data files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the architecture-independent files.

Package: scribus-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Recommends:
 scribus (= ${source:Version}),
Breaks:
 scribus (<< 1.4.5+dfsg-1),
Replaces:
 scribus (<< 1.4.5+dfsg-1),
Description: Open Source Desktop Page Layout - stable branch (development files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the development header files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

t :=
p := scribus$t
export p

ifneq (,$t)
extraconf := \
	-DWANT_DEBUG:BOOL=1 \
	-DWANT_VERSIONING:BOOL=1 \
	-DCUSTOM_VERSIONTAG=$t
else
extraconf :=
endif

%:
	dh $@ --buildsystem=cmake --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_GRAPHICSMAGICK:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    $(extraconf)

override_dh_auto_install:
	dh_auto_install
ifneq (,$(findstring doc, $(shell grep -e '^Package: ' debian/control)))
	# move the docs somewhere else, so that I can then pick them up
	# do it only if we are building the -doc package from the same source.
	# This won't be the case for the official Debian package, as the
	# documentation is non-free and in a separate source package.
	mkdir -p $(CURDIR)/debian/tmp/doc
	mv -v $(CURDIR)/debian/tmp/usr/share/doc/$p/en \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/de \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/it \
	      $(CURDIR)/debian/tmp/doc
endif
	mv -v $(CURDIR)/debian/tmp/usr/share/$p/scripts/ChangeLog $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLogScripts
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLogSVN \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/BUILDING \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/PACKAGING \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/NEWS \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/TODO \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/COPYING \
	      $(CURDIR)/debian/tmp/usr/share/$p/scripts/NEWS \
	      $(CURDIR)/debian/tmp/usr/share/$p/scripts/TODO
	find $(CURDIR)/debian/tmp -type d -empty -delete
	# move the .desktop somewhere senseful
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications
	mv -v $(CURDIR)/debian/tmp/usr/share/mimelnk/application/vnd.scribus.desktop \
	      $(CURDIR)/debian/tmp/usr/share/applications/$p.desktop
ifneq (,$t)
	# rename some stuff from scribus to match the versiontag:
	mv -v $(CURDIR)/debian/tmp/usr/share/man/pl/man1/scribus.1 \
	      $(CURDIR)/debian/tmp/usr/share/man/pl/man1/$p.1
	mv -v $(CURDIR)/debian/tmp/usr/share/man/de/man1/scribus.1 \
	      $(CURDIR)/debian/tmp/usr/share/man/de/man1/$p.1
	mv -v $(CURDIR)/debian/tmp/usr/share/man/man1/scribus.1 \
	      $(CURDIR)/debian/tmp/usr/share/man/man1/$p.1
	mv -v $(CURDIR)/debian/tmp/usr/share/mime/packages/scribus.xml \
	      $(CURDIR)/debian/tmp/usr/share/mime/packages/$p.xml
endif
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	gunzip -v $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla

override_dh_install:
	dh_install --fail-missing

override_dh_fixperms:
	# the plugins (which are the only .so files here) needs to be +x.
	# let the scribus installer take care of them
	dh_fixperms -X .so

override_dh_python2:
	dh_python2 /usr/share/$p/samples/
	dh_python2 /usr/share/$p/scripts/

# scribus expects the {docdir}/{lang}/menu.xml being present and uncompressed,
# otherwise you'll get no docs.
override_dh_compress:
	dh_compress -X usr/share/doc/$p/de \
				-X usr/share/doc/$p/en \
				-X usr/share/doc/$p/it
